Subject: Re: bug#44835: gnu/ci.go: Embeds build path, breaking reproducible builds
From: Vagrant Cascadian <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Mar 2024 13:46:01 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2020-12-03, Ludovic Courtès wrote:
> Mathieu Othacehe <[email-masked]> skribis:
>
>>> … but I don’t think we can assume that the checkout is in the
>>> ‘%load-path’ when this code is executed.  WDYT, Mathieu?
>>
>> Cuirass happens to add checkouts to the %load-path just before loading
>> this file.
>
> Is that systematic?  Isn’t it only when ‘load_path_inputs’ is non-empty?
>
>> I tested your path, it works fine. I think it is acceptable as this (gnu
>> ci) interface needs a big rework anyway.
>>
>> I can apply your patch if it's ok for you.
>
> Sure if you’re confident you can go ahead.  :-)

This looks to have been fixed some time ago in:

  76bea3f8bcd951ded88dfb7f8cad5bc3e5a1701f ci: Remove hydra support.

live well,
  vagrant